Bug 1695307 - openshift-apiserver flapping between version 4.0.0-0.9 and -0.10 after upgrade
Summary: openshift-apiserver flapping between version 4.0.0-0.9 and -0.10 after upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.0
Assignee: Michal Fojtik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 19:34 UTC by Mike Fiedler
Modified: 2019-06-04 10:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
openshift-apiserver-operator pod logs (94.14 KB, application/gzip)
2019-04-02 19:38 UTC, Mike Fiedler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:00 UTC

Description Mike Fiedler 2019-04-02 19:34:43 UTC
Description of problem:

Possibly same issue that authentication has with the version mapping configmap in https://bugzilla.redhat.com/show_bug.cgi?id=1695244

Version-Release number of selected component (if applicable): 4.0.0-0.9 to -0.10 upgrade

While running the e2e tests for conformance/kubernetes after upgrading a cluster, the event report in the Timeline showed openshift-apiserver constantly putting out the following events.  I included a few events from authentication at the end which is having the same flapping issue.

                                                                                                                                                                                                                                                                                                                          
Apr 02 18:19:06.151 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift                                                                                                                                                                                                                                        
Apr 02 18:19:06.151 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:06.151 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:09.155 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:09.155 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:09.155 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:09.155 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:12.178 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:12.178 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:12.178 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:12.178 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:15.183 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:15.183 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:15.183 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:15.183 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:24.793 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:24.793 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:24.793 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:24.793 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.9_openshift -> 4.0.0-0.10_openshift
Apr 02 18:19:27.216 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:27.216 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:27.216 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:27.216 I clusteroperator/openshift-apiserver versions: openshift-apiserver 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:40.721 I clusteroperator/authentication versions: integrated-oauth-server 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:40.721 I clusteroperator/authentication versions: integrated-oauth-server 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:40.721 I clusteroperator/authentication versions: integrated-oauth-server 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift
Apr 02 18:19:40.721 I clusteroperator/authentication versions: integrated-oauth-server 4.0.0-0.10_openshift -> 4.0.0-0.9_openshift

The openshift-apiserver-operator log shows it contantly diff-ing versions:

I0402 19:32:03.445310       1 status_controller.go:156] clusteroperator/openshift-apiserver diff {"status":{"versions":[{"name":"openshift-apiserver","version":"4.0.0-0.9_openshift"},{"name":"operator","version":"4.0.0-0.10"}]}}                                                                                                                                      
I0402 19:32:03.452764       1 event.go:221] Event(v1.ObjectReference{Kind:"Deployment", Namespace:"openshift-apiserver-operator", Name:"openshift-apiserver-operator", UID:"68ca21ce-555a-11e9-9e74-02ae63ea9068", APIVersion:"apps/v1", ResourceVersion:"", FieldPath:""}): type: 'Normal' reason: 'OperatorStatusChanged' Status for operator openshift-apiserver changed: {"conditions":[{"type":"Failing","status":"False","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Progressing","status":"False","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Available","status":"True","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Upgradeable","status":"True","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"}],"versions":[{"name":"openshift-apiserver","version":"4.0.0-0.

A: 10_openshift"},{"name":"operator","version":"4.0.0-0.10"}],"relatedObjects":[{"group":"operator.openshift.io","resource":"openshiftapiservers","name":"cluster"},{"group":"","resource":"namespaces","name":"openshift-config"},{"group":"","resource":"namespaces","name":"openshift-config-managed"},{"group":"","resource":"namespaces","name":"openshift-apiserver-operator"},{"group":"","resource":"namespaces","name":"openshift-apiserver"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.apps.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.authorization.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.build.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.image.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.oauth.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.project.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.quota.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.route.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.security.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.template.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.user.openshift.io"}],"extension":null}


B: 9_openshift"},{"name":"operator","version":"4.0.0-0.10"}],"relatedObjects":[{"group":"operator.openshift.io","resource":"openshiftapiservers","name":"cluster"},{"group":"","resource":"namespaces","name":"openshift-config"},{"group":"","resource":"namespaces","name":"openshift-config-managed"},{"group":"","resource":"namespaces","name":"openshift-apiserver-operator"},{"group":"","resource":"namespaces","name":"openshift-apiserver"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.apps.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.authorization.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.build.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.image.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.oauth.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.project.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.quota.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.route.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.security.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.template.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.user.openshift.io"}],"extension":null}


I0402 19:32:10.295020       1 status_controller.go:156] clusteroperator/openshift-apiserver diff {"status":{"versions":[{"name":"openshift-apiserver","version":"4.0.0-0.10_openshift"},{"name":"operator","version":"4.0.0-0.10"}]}}                                                                                                                                     
I0402 19:32:10.308766       1 event.go:221] Event(v1.ObjectReference{Kind:"Deployment", Namespace:"openshift-apiserver-operator", Name:"openshift-apiserver-operator", UID:"68ca21ce-555a-11e9-9e74-02ae63ea9068", APIVersion:"apps/v1", ResourceVersion:"", FieldPath:""}): type: 'Normal' reason: 'OperatorStatusChanged' Status for operator openshift-apiserver changed: {"conditions":[{"type":"Failing","status":"False","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Progressing","status":"False","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Available","status":"True","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Upgradeable","status":"True","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"}],"versions":[{"name":"openshift-apiserver","version":"4.0.0-0.

A: 9_openshift"},{"name":"operator","version":"4.0.0-0.10"}],"relatedObjects":[{"group":"operator.openshift.io","resource":"openshiftapiservers","name":"cluster"},{"group":"","resource":"namespaces","name":"openshift-config"},{"group":"","resource":"namespaces","name":"openshift-config-managed"},{"group":"","resource":"namespaces","name":"openshift-apiserver-operator"},{"group":"","resource":"namespaces","name":"openshift-apiserver"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.apps.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.authorization.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.build.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.image.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.oauth.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.project.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.quota.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.route.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.security.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.template.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.user.openshift.io"}],"extension":null}


B: 10_openshift"},{"name":"operator","version":"4.0.0-0.10"}],"relatedObjects":[{"group":"operator.openshift.io","resource":"openshiftapiservers","name":"cluster"},{"group":"","resource":"namespaces","name":"openshift-config"},{"group":"","resource":"namespaces","name":"openshift-config-managed"},{"group":"","resource":"namespaces","name":"openshift-apiserver-operator"},{"group":"","resource":"namespaces","name":"openshift-apiserver"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.apps.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.authorization.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.build.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.image.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.oauth.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.project.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.quota.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.route.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.security.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.template.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.user.openshift.io"}],"extension":null}


I0402 19:32:13.291228       1 status_controller.go:156] clusteroperator/openshift-apiserver diff {"status":{"versions":[{"name":"openshift-apiserver","version":"4.0.0-0.9_openshift"},{"name":"operator","version":"4.0.0-0.10"}]}}                                                                                                                                      
I0402 19:32:13.297905       1 event.go:221] Event(v1.ObjectReference{Kind:"Deployment", Namespace:"openshift-apiserver-operator", Name:"openshift-apiserver-operator", UID:"68ca21ce-555a-11e9-9e74-02ae63ea9068", APIVersion:"apps/v1", ResourceVersion:"", FieldPath:""}): type: 'Normal' reason: 'OperatorStatusChanged' Status for operator openshift-apiserver changed: {"conditions":[{"type":"Failing","status":"False","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Progressing","status":"False","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Available","status":"True","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"},{"type":"Upgradeable","status":"True","lastTransitionTime":"2019-04-02T16:04:56Z","reason":"AsExpected"}],"versions":[{"name":"openshift-apiserver","version":"4.0.0-0.

A: 10_openshift"},{"name":"operator","version":"4.0.0-0.10"}],"relatedObjects":[{"group":"operator.openshift.io","resource":"openshiftapiservers","name":"cluster"},{"group":"","resource":"namespaces","name":"openshift-config"},{"group":"","resource":"namespaces","name":"openshift-config-managed"},{"group":"","resource":"namespaces","name":"openshift-apiserver-operator"},{"group":"","resource":"namespaces","name":"openshift-apiserver"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.apps.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.authorization.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.build.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.image.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.oauth.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.project.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.quota.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.route.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.security.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.template.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.user.openshift.io"}],"extension":null}


B: 9_openshift"},{"name":"operator","version":"4.0.0-0.10"}],"relatedObjects":[{"group":"operator.openshift.io","resource":"openshiftapiservers","name":"cluster"},{"group":"","resource":"namespaces","name":"openshift-config"},{"group":"","resource":"namespaces","name":"openshift-config-managed"},{"group":"","resource":"namespaces","name":"openshift-apiserver-operator"},{"group":"","resource":"namespaces","name":"openshift-apiserver"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.apps.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.authorization.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.build.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.image.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.oauth.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.project.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.quota.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.route.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.security.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.template.openshift.io"},{"group":"apiregistration.k8s.io","resource":"apiservices","name":"v1.user.openshift.io"}],"extension":null}


How reproducible: Always


Steps to Reproduce:
1.  Install 4.0.0-0.9 and upgrade to 0.10
2.  watch the openshift-apiserver-operator log
3.  watch the events in the openshift-apiserver-operator namespace

Comment 1 Mike Fiedler 2019-04-02 19:38:31 UTC
Created attachment 1551137 [details]
openshift-apiserver-operator pod logs

Comment 3 W. Trevor King 2019-04-03 16:29:50 UTC
Is https://github.com/openshift/cluster-kube-apiserver-operator/pull/366 for this bug?

Comment 4 W. Trevor King 2019-04-03 16:30:34 UTC
Err, I mean https://github.com/openshift/cluster-openshift-apiserver-operator/pull/174 ;)

Comment 8 errata-xmlrpc 2019-06-04 10:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.